BEGIN ~LHCHAR2P~

IF ~Global("KickedOut","LOCALS",1)~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 1
  IF ~~ THEN REPLY @2 DO ~SetGlobal("Char2","GLOBAL",2)
SetGlobal("KickedOut","LOCALS",0)
JoinParty()~ EXIT
  IF ~~ THEN REPLY @3 DO ~SetGlobal("KickedOut","LOCALS",1)
SetGlobal("Char2","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 1
  SAY @4
  IF ~~ THEN REPLY @5 DO ~SetGlobal("Char2","GLOBAL",2)
SetGlobal("KickedOut","LOCALS",0)
JoinParty()~ EXIT
  IF ~~ THEN REPLY @3 DO ~SetGlobal("KickedOut","LOCALS",1)
SetGlobal("Char2","GLOBAL",1)
~ EXIT
END

IF ~Global("KickedOut","LOCALS",0)~ THEN BEGIN 2
  SAY @6
  IF ~~ THEN REPLY @7 DO ~SetGlobal("Char2","GLOBAL",2)
JoinParty()~ EXIT
  IF ~~ THEN REPLY @8 DO ~SetGlobal("KickedOut","LOCALS",1)
SetGlobal("Char2","GLOBAL",1)
EscapeAreaMove("AR0332",265,391,14)~ EXIT
END
